### Enumeration

# Ide DebuggerStream

#### Declaration

    enum Ide.DebuggerStream

#### Description

The type of stream for the log message.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_DEBUGGER_CONSOLE` | Logging from the debugger console.
`IDE_DEBUGGER_EVENT_LOG` | Internal event log from the debugger that can be used to troubleshoot the debugger.
`IDE_DEBUGGER_TARGET` | Logging from the inferior process.